package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.RptGisMonitorSf6Charts;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

@Repository
public class RptGisMonitorSf6ChartsDao extends BaseDao<RptGisMonitorSf6Charts, String> {

    public int saveOrUpdate(RptGisMonitorSf6Charts entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
